function CenterUploadArea(container)
{
    function offsetParent (element) {
        if (element.offsetParent) return element.offsetParent;
        if (element == document.body) return element;

        while ((element = element.parentNode) && element != document.body)
        if (Element.getStyle(element, 'position') != 'static')
            return element;

        return document.body;
    }  
      
    var uploadContainer = null;
    
    if (CenterUploadArea.container)
    {
        uploadContainer = CenterUploadArea.container;
    }
    else
    {
        if (!container)
        {
            var divs = document.getElementsByTagName ('DIV');
            for (var i=0; i<divs.length; i++)
            {
                if (divs[i].className == 'RadUploadProgressArea')
                {
                    uploadContainer = divs[i];
                    break;
                }
            }
        }
        else
            uploadContainer = document.getElementById (container);
            
        CenterUploadArea.container = uploadContainer;
    }
    
    if (!uploadContainer)
        return;
    
    var posContainer = offsetParent (uploadContainer);
    posContainer.style.position = 'static';
    
    var scrollX = window.pageXOffset || document.documentElement.scrollLeft || document.body.scrollLeft;
    var scrollY = window.pageYOffset || document.documentElement.scrollTop  || document.body.scrollTop;
    
    var windowHeight = window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight;
    var windowWidth  = window.innerWidth  || document.documentElement.clientWidth  || document.body.clientWidth;
    
    var x = Math.round (windowWidth/2 - uploadContainer.offsetWidth/2) + scrollX;
    var y = Math.round (windowHeight/2 - uploadContainer.offsetHeight/2) + scrollY;
    
    uploadContainer.style.top = y + 'px';
    uploadContainer.style.left = x + 'px';
    uploadContainer.style.position = 'absolute';
}